summaryrefslogtreecommitdiffstats
path: root/runtests.sh
diff options
context:
space:
mode:
authorChristopher Peplin <chris.peplin@rhubarbtech.com>2013-12-30 15:25:32 -0500
committerChristopher Peplin <chris.peplin@rhubarbtech.com>2013-12-30 15:25:32 -0500
commit06f31c13df6aaf92124f10b8cb5eee96b75c4f73 (patch)
treef11bf819b17ae9de7399eb055160fb44dc64b04f /runtests.sh
Initial commit.
Diffstat (limited to 'runtests.sh')
-rw-r--r--runtests.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/runtests.sh b/runtests.sh
new file mode 100644
index 00000000..4781636b
--- /dev/null
+++ b/runtests.sh
@@ -0,0 +1,17 @@
+echo "Running unit tests:"
+
+for i in $1/*.bin
+do
+ if test -f $i
+ then
+ if ./$i
+ then
+ echo $i PASS
+ else
+ echo "ERROR in test $i:"
+ exit 1
+ fi
+ fi
+done
+
+echo "${txtbld}$(tput setaf 2)All unit tests passed.$(tput sgr0)"